curl --request POST \
--url https://api.birdeye.com/resources/v1/google-services/service/update \
--header 'Content-Type: application/json' \
--data '
{
"serviceId": "SERV10021056",
"name": "Customer Service",
"currencyCode": "USD",
"price": 100.5,
"description": "We provide 24x7 customer service",
"group": "Hair Care",
"duration": 90
}
'import requests
url = "https://api.birdeye.com/resources/v1/google-services/service/update"
payload = {
"serviceId": "SERV10021056",
"name": "Customer Service",
"currencyCode": "USD",
"price": 100.5,
"description": "We provide 24x7 customer service",
"group": "Hair Care",
"duration": 90
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
serviceId: 'SERV10021056',
name: 'Customer Service',
currencyCode: 'USD',
price: 100.5,
description: 'We provide 24x7 customer service',
group: 'Hair Care',
duration: 90
})
};
fetch('https://api.birdeye.com/resources/v1/google-services/service/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 2494,
"message": "Invalid GBP Service Id"
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Update Service
Headers
e.g. application/json
e.g. 2uiHKCTi8hSg35MG75aaot0B2SAokhjk (string, required) - Partner specific API key provided by Birdeye for data exchange.
Query Parameters
Id of the account
Body
unique service identifier
text of the service name posted on Google Services profile; name cannot be altered.
text of the paid service currency code to be posted on Google Services profile; This is a mandatory field in case of paid service ; 'USD', 'GBP', 'CAD', 'AUD', 'NZD', 'EUR', 'MXN', 'INR', 'AED', 'CHF', 'CNY', 'CZK', 'EGP', 'HKD', 'HUF', 'IDR', 'ILS', 'JPY', 'KES', 'KRW', 'LKR', 'MAD', 'MOP', 'MYR', 'PHP', 'PLN', 'RON', 'RUB', 'ZAR', 'SEK', 'SGD', 'THB', 'TRY', 'TWD', 'VND', 'SAR', 'KHR', 'MNT', 'NOK' or 'DKK' value
amount of the paid service price to be posted on Google Services profile; This is a mandatory field in case of paid service ; minimum amount 0.10 ; maximum amount 2147483647
text of the service description to be posted on Google Services profile ; minimum 0 character ; maximum 300 characters
A logical grouping label for related services ; Used internally to categorize services under a common group name ; if not provided ; the service will remain uncategorized ; Note: This field is not synced to Google ; minimum 3 character ; maximum 64 characters
The expected length of time for the service ; expressed in minutes ; Used internally ; Optional ; if not provided ; no default duration will be set. Note: This field is not synced to Google ; minimum 1 ; maximum 9999 minutes
Response
OK

